Subject: bug#43973: 28.0.50; [NS] Two crashes on macOS

From: Andrii Kolomoiets <[email-masked]>
Date: Sun, 03 Jan 2021 00:03:40 +0200

Alan Third <[email-masked]> writes:

> On Thu, Oct 15, 2020 at 12:33:44AM +0300, Andrii Kolomoiets wrote:
>> Alan Third <[email-masked]> writes:
>> 
>> >> The frame must be small enough to not all the toolbar buttons fits the
>> >> toolbar:
>> >> 
>> >> (setq test-frame (make-frame `((parent-frame . ,(selected-frame))
>> >> 			                   (width . 41))))
>> >> 
>> >> The last button (isearch) is replaced by ">>".
>> >
>> > Funnily enough that ">>" is what I was looking at. I guess it's a
>> > toolkit image and not something we provide with Emacs...?
>> >
>> >> There are no crash if '(width . 42)'.
>> >
>> > Can you try this:
>
> Can you please try the attached patch. It looks like NSToolbarItem
> makes a copy of the image, but EmacsImage is not set up to create
> copies of itself correctly.

Since reporting that bug, I have updated my operating system and cannot
reproduce it on the latest Emacs version.

Toolbar items are now placed in the title bar.  I've tried to reproduce
the bug (but with no luck) after switching to old toolbar items
placement with command:

  defaults write -g NSWindowSupportsAutomaticInlineTitle -bool false

We need someone with the previous macos version to help with testing.

For me Emacs with your patch applied works fine.